Name:          girtod
Version:       0.21.0
Release:       2mamba
Summary:       Create D bindings from GObject introspection files
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gtkd-developers/gir-to-d.git
Source:        https://github.com/gtkd-developers/gir-to-d.git/v%{version}/gir-to-d-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libldc-devel
## AUTOBUILDREQ-END
BuildRequires: ldc
BuildRequires: libldc-devel >= 1.21.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Create D bindings from GObject introspection files.

%debug_package

%prep
%setup -q -n gir-to-d-%{version}

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/girtod
%doc COPYING

%changelog
* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21.0-2mamba
- rebuilt with libldc 1.21.0

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21.0-1mamba
- update to 0.21.0

* Sat Jul 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.1-1mamba
- package created using the webbuild interface
